<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi-2013.day1.chameleon"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="chameleon.in"
                output-name ="chameleon.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "2s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="chameleon.in"
                output-name ="chameleon.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
	           		comment = "Тесты с полной оценкой"
            		score = "sum"
            		feedback = "outcome"
            		group-bonus = "0"
            	>
                   <test points = "5" comment = "Черная доска. N = 10." />
                   <test points = "5" comment = "Черный отрезок вверху каждого столбца. N = 25." />
                   <test points = "5" comment = "Длинный черный путь. N = 25." />
                   <test points = "5" comment = "Связная белая область на черном фоне. N = 15" />
                   <test points = "5" comment = "Ручная картинка. N = 25.  " />
                   <test points = "5" comment = "Горизонтальные полоски. N = 24." />
                   <test points = "5" comment = "Вложенные квадраты. N = 25." />
                   <test points = "5" comment = "Шахматная доска, с клетками размера 3x3. N = 25." />
                   <test points = "5" comment = "Случайный тест. N = 9." />
                   <test points = "5" comment = "QR-код ROI-2013. N = 21" />
                </test-group>
            	<test-group
	           		comment = "Тесты с частичной оценкой"
            		score = "sum"
            		feedback = "outcome"
            		group-bonus = "0"
            	>
                   <test points = "5" comment = "Случайный тест. N = 70." />
                   <test points = "5" comment = "Случайный тест. N = 85." />
                   <test points = "5" comment = "Случайный тест. N = 100." />
                   <test points = "5" comment = "Надпись РОИ. N = 100." />
                   <test points = "5" comment = "Надпись Эфэ. N = 100. " />
                   <test points = "5" comment = "Шахматная доска с изменненной клеткой в углу. N = 100." />
                   <test points = "5" comment = "Шахматная доска со случайным шумом. N = 99." />
                   <test points = "5" comment = "Случайный тест с шахматной границей. N = 97." />
                   <test points = "5" comment = "Шахматная доска с изменением по центру. N = 100." />
                   <test points = "5" comment = "Красивая картинка. N = 100." />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
